<?php $__env->startPush('title',Cache::get('homepage_title',__('Homepage'))); ?>
<?php $__env->startPush('css'); ?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/zuck.js/1.3.0/zuck.min.css"
    integrity="sha512-uMQwakS6MojpJv2SmOA2P5EeR+1wbJNUsrr6MyKxdWencgXyM1CgF2BvgouRcNAgSJPoJG9t9Orhvcsp+GKPkg=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/zuck.js/1.3.0/skins/snapgram.min.css"
    integrity="sha512-fpV02bQH+r8Qd7UCtU8+eDy3I9VbKyG6UJr/F1xIFsC52hpUC/6AEzWBzsBo+fKfyj2Aj5Fh+4P+m6X8r7w24Q=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
    <?php if($sliders->count() > 0): ?>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@8/swiper-bundle.min.css" />
    <?php endif; ?>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<section class="py-3">
    <div class="container text-center">
        <div class="row mb-2">
            <div id="stories" class="storiesWrapper stories user-icon carousel snapgram"></div>
        </div>
    </div>
    <?php if($sliders->count() > 0): ?>
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center mx-auto">
                <!-- Slider main container -->
                <div class="swiper">
                    <!-- Additional required wrapper -->
                    <div class="swiper-wrapper">
                        <!-- Slides -->
                        <?php $__currentLoopData = $sliders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $slider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="swiper-slide">
                            <?php if($slider->url): ?>
                            <a href="<?php echo e($slider->url); ?>">
                                <img class="img-fluid rounded-3" src="<?php echo e(asset($slider->img)); ?>" alt="Slider">
                            </a>
                            <?php else: ?>
                            <img class="img-fluid rounded-3" src="<?php echo e(asset($slider->img)); ?>" alt="Slider">
                            <?php endif; ?>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <!-- If we need pagination -->
                    <div class="swiper-pagination"></div>
                    <!-- If we need navigation buttons -->
                    <div class="swiper-button-prev"></div>
                    <div class="swiper-button-next"></div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <div class="container py-3">
        <div class="d-flex justify-content-center text-center">
            <div class="d-flex align-items-center gap-2 scrollable-x pb-2">
                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a class="suggest-card text-break" href="<?php echo e(route('category',['slug'=>$category->slug])); ?>" title="<?php echo e($category->name); ?>">
                    <div class="m-2 d-flex" style="width:220px">
                        <img style="width: 64px" src="<?php echo e(asset($category->img)); ?>" alt="<?php echo e($category->name); ?>">
                    </div>
                    <h5>
                        <?php echo e($category->name); ?>

                        <span><?php echo e($category->products->count()); ?> <?php echo e(__('Items')); ?></span>
                    </h5>
                </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
    <div class="container py-3">
        <?php echo $__env->make('front.partials.product', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </div>
</section>
<?php if($articles->count() > 0): ?>
<section class="py-3 blog">
    <div class="container">
        <div class="text-center mb-3">
            <h2 class="h1 mark rounded-3 bg-white">
                <?php echo e(__('Our Latest')); ?>

                <span class="mark p-3">
                    <?php echo e(__('News')); ?>

                </span>
            </h2>
        </div>
        <div class="row">
            <?php $__currentLoopData = $articles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $article): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-lg-4">
                <div class="card" style="background-image: url('<?php echo e(asset($article->img)); ?>'); background-size:cover;">
                    <div class="card-body">
                        <h4 class="card-title">
                            <a href="<?php echo e(route('article',$article->slug)); ?>">
                                <?php echo e($article->name); ?>

                            </a>
                        </h4>
                        <p class="card-text">
                            <?php echo e($article->description); ?>

                        </p>
                        <div class="read-more">
                            <a href="<?php echo e(route('article',$article->slug)); ?>">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                    class="bi bi-arrow-right" viewBox="0 1 16 16">
                                    <path fill-rule="evenodd"
                                        d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z">
                                    </path>
                                </svg>
                                <?php echo e(__('Read More')); ?>

                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

    </div>
</section>
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
<script src="https://cdn.jsdelivr.net/npm/swiper@8/swiper-bundle.min.js"></script>
<script>
    const swiper = new Swiper('.swiper', {
  // Optional parameters
  direction: 'horizontal',
            autoplay: {
                delay: 4000,
            },
            pagination: {
                el: ".swiper-pagination",
                dynamicBullets: true,
                clickable: true,
            },
             // Navigation arrows
  navigation: {
    nextEl: '.swiper-button-next',
    prevEl: '.swiper-button-prev',
  },

});

</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/zuck.js/1.3.0/zuck.min.js"
    integrity="sha512-u3hckQeObqe8vtmYB5uzJ434ef8sn8au8OREiR7DTQB1bdtXbpMVpz+gNoATogzkB8+PwivV3sOJ//lGIzHi0w=="
    crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
    let stories = new Zuck('stories', {
  skin: 'snapgram',
  avatars: true,
  list: false,
  openEffect: true,
  cubeEffect: false,
  autoFullScreen: false,
  backButton: true,
  backNative: false,
  previousTap: true,
  localStorage: true,
  stories: [
    <?php $__currentLoopData = $stories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $story_key => $story): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    {
      id: '<?php echo e($story_key); ?>',
      photo: '<?php echo e(asset($story->img)); ?>',
      name: '<?php echo e($story->name); ?>',
      link: '<?php echo e($story->url); ?>',
      lastUpdated: <?php echo e($story->updated_at->timestamp); ?>,
      seen: false,
      items: [
        {
          id: '<?php echo e($story_key); ?>',
          type: 'photo',
          src: '<?php echo e(asset($story->img)); ?>',
          time: <?php echo e($story->updated_at->timestamp); ?>,
          link: '<?php echo e($story->url); ?>',
          text: '<?php echo e($story->name); ?>',
        },
      ],
    },
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  ],
  language: { // if you need to translate :)
    unmute: '<?php echo e(__('Touch to unmute')); ?>',
    keyboardTip: '<?php echo e(__('Press space to see next')); ?>',
    visitLink: '<?php echo e(__('Visit Link')); ?>',
    time: {
      ago:'<?php echo e(__('ago')); ?>',
      hour:'<?php echo e(__('hour')); ?>',
      hours:'<?php echo e(__('hours')); ?>',
      minute:'<?php echo e(__('minute')); ?>',
      minutes:'<?php echo e(__('minutes')); ?>',
      fromnow: '<?php echo e(__('from now')); ?>',
      seconds: '<?php echo e(__('seconds')); ?>',
      yesterday: '<?php echo e(__('yesterday')); ?>',
      tomorrow: '<?php echo e(__('tomorrow')); ?>',
      days: '<?php echo e(__('days')); ?>',
    }
  },
});
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('front.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/zivcxbiq/sosyaltest.tr.info.tr/resources/views/front/index.blade.php ENDPATH**/ ?>