<?php $__env->startPush('title', __('All Orders')); ?>
<?php $__env->startPush('css'); ?>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap5.min.css" />
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12 mb-3">
            <div class="card shadow-sm border-0 rounded-3">
                <div class="card-header bg-white d-flex  align-items-center">
                    <div class="d-flex align-items-center gap-2">
                        <span>
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                class="bi bi-bag mb-1" viewBox="0 0 16 16">
                                <path
                                    d="M8 1a2.5 2.5 0 0 1 2.5 2.5V4h-5v-.5A2.5 2.5 0 0 1 8 1zm3.5 3v-.5a3.5 3.5 0 1 0-7 0V4H1v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V4h-3.5zM2 5h12v9a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V5z" />
                            </svg>
                            <?php echo e(__('Orders')); ?>

                        </span>
                        <span class="badge bg-secondary"><?php echo e($orders->count()); ?></span>
                    </div>
                    <a href="<?php echo e(route('admin.orders')); ?>" class="btn btn-sm btn-light ms-3">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                        class="bi bi-bag mb-1" viewBox="0 0 16 16">
                        <path
                            d="M8 1a2.5 2.5 0 0 1 2.5 2.5V4h-5v-.5A2.5 2.5 0 0 1 8 1zm3.5 3v-.5a3.5 3.5 0 1 0-7 0V4H1v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V4h-3.5zM2 5h12v9a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V5z" />
                    </svg>
                        <?php echo e(__('All Orders')); ?>

                    </a>
                    <a href="<?php echo e(route('admin.orders',['wallet' => 1])); ?>" class="btn btn-sm btn-light ms-3">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-wallet2" viewBox="0 0 16 16">
                            <path d="M12.136.326A1.5 1.5 0 0 1 14 1.78V3h.5A1.5 1.5 0 0 1 16 4.5v9a1.5 1.5 0 0 1-1.5 1.5h-13A1.5 1.5 0 0 1 0 13.5v-9a1.5 1.5 0 0 1 1.432-1.499L12.136.326zM5.562 3H13V1.78a.5.5 0 0 0-.621-.484L5.562 3zM1.5 4a.5.5 0 0 0-.5.5v9a.5.5 0 0 0 .5.5h13a.5.5 0 0 0 .5-.5v-9a.5.5 0 0 0-.5-.5h-13z"/>
                          </svg>
                        <?php echo e(__('Wallets')); ?>

                    </a>
                    <a class="btn btn-sm btn-outline-primary ms-auto" href="<?php echo e(route('admin.order.create')); ?>">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                            class="bi bi-plus-lg" viewBox="0 1 16 16">
                            <path fill-rule="evenodd"
                                d="M8 2a.5.5 0 0 1 .5.5v5h5a.5.5 0 0 1 0 1h-5v5a.5.5 0 0 1-1 0v-5h-5a.5.5 0 0 1 0-1h5v-5A.5.5 0 0 1 8 2Z" />
                        </svg>
                        <?php echo e(__('Add New Order')); ?>

                    </a>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-sm align-middle table-bordered" id="myTable">
                            <thead>
                                <tr class="">
                                    <th scope="col">#ID</th>
                                    <th scope="col"><?php echo e(__('Customer')); ?></th>
                                    <th scope="col"><?php echo e(__('Product')); ?></th>
                                    <th scope="col"><?php echo e(__('Quantity')); ?></th>
                                    <th scope="col"><?php echo e(__('Total')); ?></th>
                                    <th scope="col"><?php echo e(__('Note')); ?></th>
                                    <th scope="col"><?php echo e(__('Payment')); ?></th>
                                    <th scope="col"><?php echo e(__('Status')); ?></th>
                                    <th scope="col"><?php echo e(__('Date')); ?></th>
                                    <th scope="col"><?php echo e(__('Stock')); ?></th>
                                    <th scope="col"><?php echo e(__('Answers')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr data-id="<?php echo e($order->id); ?>">
                                        <td><?php echo e($order->id); ?></td>
                                        <td>
                                            <button class="btn btn-sm btn-outline-dark" data-bs-toggle="modal"
                                                data-bs-target="#customer_info_<?php echo e($order->id); ?>">
                                                <?php echo e(json_decode($order->billing_details)->email); ?>

                                            </button>
                                            <div class="modal fade" id="customer_info_<?php echo e($order->id); ?>">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title d-flex align-items-center">
                                                                <?php echo e(__('Billing Details')); ?>

                                                                <?php if($order->user_id): ?>
                                                                    <a target="_blank" class="btn btn-sm btn-light ms-3"
                                                                        href="<?php echo e(route('admin.users.edit', ['id' => $order->user_id])); ?>">
                                                                        <?php echo e(__('Edit')); ?>

                                                                    </a>
                                                                <?php else: ?>
                                                                    <span class="badge bg-secondary ms-3">
                                                                        <?php echo e(__('Guest')); ?>

                                                                    </span>
                                                                <?php endif; ?>
                                                            </h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="row g-1">
                                                                <div class="col-6">
                                                                    <p>
                                                                        <strong>
                                                                            <?php echo e(__('Name')); ?>:
                                                                        </strong>
                                                                    </p>
                                                                    <p>
                                                                        <strong>
                                                                            <?php echo e(__('Surname')); ?>:
                                                                        </strong>
                                                                    </p>
                                                                    <p>
                                                                        <strong>
                                                                            <?php echo e(__('Phone')); ?>:
                                                                        </strong>
                                                                    </p>
                                                                    <p>
                                                                        <strong>
                                                                            <?php echo e(__('Email')); ?>:
                                                                        </strong>
                                                                    </p>
                                                                    <p>
                                                                        <strong>
                                                                            <?php echo e(__('IP Address')); ?>:
                                                                        </strong>
                                                                    </p>
                                                                    <p>
                                                                        <strong>
                                                                            <?php echo e(__('User ID')); ?>:
                                                                        </strong>
                                                                    </p>
                                                                </div>
                                                                <div class="col-6">
                                                                    <p>
                                                                        <?php echo e(json_decode($order->billing_details)->name); ?>

                                                                    </p>
                                                                    <p>
                                                                        <?php echo e(json_decode($order->billing_details)->surname); ?>

                                                                    </p>
                                                                    <p>
                                                                        <a title="<?php echo e(__('Whatsapp')); ?>"
                                                                            href="https://api.whatsapp.com/send?phone=<?php echo e(json_decode($order->billing_details)->phone); ?>">
                                                                            <?php echo e(json_decode($order->billing_details)->phone); ?>

                                                                        </a>
                                                                    </p>
                                                                    <p>
                                                                        <a title="<?php echo e(__('Send Email')); ?>"
                                                                            href="mailto:<?php echo e(json_decode($order->billing_details)->email); ?>">
                                                                            <?php echo e(json_decode($order->billing_details)->email); ?>

                                                                        </a>
                                                                    </p>
                                                                    <p>
                                                                        <?php echo e(json_decode($order->billing_details)->ip); ?>

                                                                    </p>
                                                                    <p>
                                                                        <?php echo e($order->user_id); ?>

                                                                    </p>

                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <?php echo e(json_decode($order->product)->name); ?>

                                        </td>
                                        <td>
                                            <?php echo e(json_decode($order->product)->qty); ?>

                                        </td>
                                        <td>
                                            <?php echo e(config('app.currency_symbol')); ?> <?php echo e($order->total); ?>

                                        </td>
                                        <td>
                                            <?php if($order->note): ?>
                                                <button class="btn btn-sm btn-outline-dark" data-bs-toggle="modal"
                                                    data-bs-target="#note_modal_<?php echo e($order->id); ?>">Detay</button>
                                            <?php else: ?>
                                                -
                                            <?php endif; ?>
                                            <div class="modal fade" id="note_modal_<?php echo e($order->id); ?>">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title">
                                                                <?php echo e(__('Note')); ?>

                                                            </h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <p>
                                                                <?php echo e($order->note); ?>

                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <span class="badge bg-info">
                                                <?php echo e($order->payment_method); ?>

                                            </span>
                                        </td>
                                        <td>
                                            <?php echo e($order->order_status); ?>

                                        </td>
                                        <td class="date">
                                            <?php echo e($order->created_at->format('d.m.Y H:i')); ?>

                                        </td>
                                        <td>
                                            <div
                                                class="d-flex flex-column align-items-center justify-content-between gap-2">
                                                <?php if($order->stocks): ?>
                                                    <span class="badge bg-success d-flex align-items-center">
                                                        <?php echo e(count(json_decode($order->stocks, true))); ?>

                                                        <?php echo e(__('in stock')); ?>

                                                    </span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger"><?php echo e(__('No Stock')); ?></span>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                        <td>
                                            <?php if($order->customer_answers): ?>
                                            <button class="btn btn-sm btn-outline-dark" data-bs-toggle="modal"
                                                data-bs-target="#customer_answers<?php echo e($order->id); ?>">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-90deg-right" viewBox="0 0 16 16">
                                                    <path fill-rule="evenodd" d="M14.854 4.854a.5.5 0 0 0 0-.708l-4-4a.5.5 0 0 0-.708.708L13.293 4H3.5A2.5 2.5 0 0 0 1 6.5v8a.5.5 0 0 0 1 0v-8A1.5 1.5 0 0 1 3.5 5h9.793l-3.147 3.146a.5.5 0 0 0 .708.708l4-4z"/>
                                                  </svg>
                                                <?php echo e(__('Customer Answers')); ?>

                                            </button>
                                            <div class="modal fade" id="customer_answers<?php echo e($order->id); ?>">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title d-flex align-items-center">
                                                                <?php echo e(__('Customer Answers')); ?>

                                                            </h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="row g-1">
                                                                <div class="col-6">
                                                                    <?php $__currentLoopData = json_decode($order->customer_answers, true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <p>
                                                                            <strong>
                                                                                <?php echo e($item['question']); ?> :
                                                                            </strong>
                                                                        </p>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </div>
                                                                <div class="col-6">
                                                                    <?php $__currentLoopData = json_decode($order->customer_answers, true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <p>
                                                                                <?php echo e($item['answer']); ?>

                                                                        </p>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php else: ?>
                                            -
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <div class="d-flex align-items-center gap-1">
                                                <a class="btn btn-outline-primary border-0"
                                                    href="<?php echo e(route('admin.order.edit', ['id' => $order->id])); ?>">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                                        fill="currentColor" class="bi bi-pencil-square" viewBox="0 0 16 16">
                                                        <path
                                                            d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z" />
                                                        <path fill-rule="evenodd"
                                                            d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z" />
                                                    </svg>
                                                </a>
                                                <button onclick="delete_form(<?php echo e($order->id); ?>)"
                                                    class="btn btn-sm btn-outline-danger border-0">
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"
                                                        fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                                        <path
                                                            d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z" />
                                                        <path fill-rule="evenodd"
                                                            d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z" />
                                                    </svg>
                                                </button>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <tfoot>
                                <tr class="">
                                    <th scope="col">#ID</th>
                                    <th scope="col"><?php echo e(__('Customer')); ?></th>
                                    <th scope="col"><?php echo e(__('Product')); ?></th>
                                    <th scope="col"><?php echo e(__('Quantity')); ?></th>
                                    <th scope="col"><?php echo e(__('Total')); ?></th>
                                    <th scope="col"><?php echo e(__('Note')); ?></th>
                                    <th scope="col"><?php echo e(__('Payment')); ?></th>
                                    <th scope="col"><?php echo e(__('Status')); ?></th>
                                    <th scope="col"><?php echo e(__('Date')); ?></th>
                                    <th scope="col"><?php echo e(__('Stock')); ?></th>
                                    <th scope="col"><?php echo e(__('Answers')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                    <?php echo e($orders->links()); ?>

                </div>
            </div>
        </div>

    </div>
    <form method="POST" action="<?php echo e(route('admin.order.cancel')); ?>" id="admin_order_cancel">
        <?php echo csrf_field(); ?>
        <input type="hidden" id="input_id_cancel" name="id" value="">
    </form>
    <form method="POST" action="<?php echo e(route('admin.order.delete')); ?>" id="delete_form">
        <?php echo csrf_field(); ?>
        <input type="hidden" id="input_id" name="id" value="">
    </form>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
    <script type="text/javascript" src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            let table = new DataTable('#myTable', {
                paging: false,
                info: false,
                fixedHeader: true,
                responsive: true,
                order: []
            });
        });
    </script>

    <script>
        function delete_form(id) {
            Swal.fire({
                title: "<?php echo e(__('Are you sure ? stocks will be added to the product if any')); ?>",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: "<?php echo e(__('Yes, delete it!')); ?>",
                cancelButtonText: "<?php echo e(__('No')); ?>",

            }).then((result) => {
                if (result.isConfirmed) {
                    document.getElementById('input_id').value = id
                    document.getElementById('delete_form').submit()
                }
            })
        }

        function cancel_form(id) {
            Swal.fire({
                title: 'Siparişi iptal etmek istediğinize misiniz? Stok varsa stoklar tekrar ürüne yüklenir! Bu işlem geri alınamaz!',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Eminim İptal Et!',
                cancelButtonText: 'Etme'

            }).then((result) => {
                if (result.isConfirmed) {
                    document.getElementById('input_id_cancel').value = id
                    document.getElementById('admin_order_cancel').submit()
                }
            })
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('back.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\dell\Desktop\FilAdminPRO(Digital Product Sales Script v1)\filadminpro-digital-product-sales-script-v1\resources\views/back/order/index.blade.php ENDPATH**/ ?>